# clock_desc_win32hpcount Class Reference

`#include <_clock_win32hpcount.h>`

List of all members.

## Public Types

typedef double | value_type

## Static Public Member Functions

static bool | realtime ()
static bool | proctime ()
static value_type | one_second ()
static value_type | precision ()
static const char * | description ()

## Protected Types

typedef __int64 | timestamp

## Static Protected Member Functions

static void | get_current_time (timestamp &x)
static timestamp | get_current_time ()
static value_type | timestamp_to_seconds (const timestamp &x)
static timestamp | seconds_to_timestamp (const value_type &x)

## Detailed Description

Definition at line 48 of file _clock_win32hpcount.h.

## Member Typedef Documentation

typedef double clock_desc_win32hpcount::value_type

Definition at line 51 of file _clock_win32hpcount.h.

typedef __int64 clock_desc_win32hpcount::timestamp `[protected]`

Definition at line 71 of file _clock_win32hpcount.h.

## Member Function Documentation

static bool clock_desc_win32hpcount::realtime | ( |  | ) | `[inline, static]`

Definition at line 53 of file _clock_win32hpcount.h.

static bool clock_desc_win32hpcount::proctime | ( |  | ) | `[inline, static]`

Definition at line 56 of file _clock_win32hpcount.h.

static value_type clock_desc_win32hpcount::one_second | ( |  | ) | `[inline, static]`

Definition at line 60 of file _clock_win32hpcount.h.

Referenced by precision().

static value_type clock_desc_win32hpcount::precision | ( |  | ) | `[inline, static]`

Definition at line 63 of file _clock_win32hpcount.h.

References one_second().

Referenced by seconds_to_timestamp(), and timestamp_to_seconds().

static const char* clock_desc_win32hpcount::description | ( |  | ) | `[inline, static]`

Definition at line 70 of file _clock_win32hpcount.h.

static void clock_desc_win32hpcount::get_current_time | ( | timestamp & | x | ) | `[inline, static, protected]`

Definition at line 77 of file _clock_win32hpcount.h.

static timestamp clock_desc_win32hpcount::get_current_time | ( |  | ) | `[inline, static, protected]`

Definition at line 81 of file _clock_win32hpcount.h.

static value_type clock_desc_win32hpcount::timestamp_to_seconds | ( | const timestamp & | x | ) | `[inline, static, protected]`

Definition at line 85 of file _clock_win32hpcount.h.

References precision().

static timestamp clock_desc_win32hpcount::seconds_to_timestamp | ( | const value_type & | x | ) | `[inline, static, protected]`

Definition at line 89 of file _clock_win32hpcount.h.

References precision().

The documentation for this class was generated from the following file:

- _clock_win32hpcount.h